KSZ8995MA(4)

NAME
ksz8995ma - driver for Micrel KSZ8995MA fast ethernet switch chip

SYNOPSIS
device spibus
device etherswitch
device ksz8995ma

hint.ksz8995ma.0.at="spibus0"

DESCRIPTION
The ksz8995ma device driver provides a management interface to Micrel KSZ8995MA fast ethernet switch chip. This driver use spi interface. KSZ8995 series have many vertion but only support MA/FQ version.

This driver support is port and dot1q vlan. dot1q support port base tag/untag.

EXAMPLES
Configure dot1q vlan by etherswitchcfg command.

    # etherswitchcfg config vlan_mode dot1q

Configure port 5 is tagging port.

    # etherswitchcfg port5 addtag

SEE ALSO
etherswitch(4), etherswitchcfg(8)

HISTORY
The ksz8995ma device driver first appeared in FreeBSD 12.0.

AUTHORS
The ksz8995ma driver was written by Hiroki Mori